"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
exports.__esModule = true;
exports.RewardsManagerMock__factory = exports.RebatePoolMock__factory = exports.GovernedMock__factory = exports.ITestRegistrar__factory = exports.IPublicResolver__factory = exports.IENS__factory = exports.WithdrawHelper__factory = exports.ICMCWithdraw__factory = exports.GRTWithdrawHelper__factory = exports.AllocationExchange__factory = exports.StakingV2Storage__factory = exports.StakingV1Storage__factory = exports.Staking__factory = exports.LibCobbDouglas__factory = exports.IStaking__factory = exports.RewardsManagerV1Storage__factory = exports.RewardsManager__factory = exports.IRewardsManager__factory = exports.Pausable__factory = exports.Managed__factory = exports.IManaged__factory = exports.IGraphGovernance__factory = exports.IController__factory = exports.GraphGovernanceV1Storage__factory = exports.GraphGovernance__factory = exports.Governed__factory = exports.Controller__factory = exports.IEpochManager__factory = exports.EpochManagerV1Storage__factory = exports.EpochManager__factory = exports.IDisputeManager__factory = exports.DisputeManagerV1Storage__factory = exports.DisputeManager__factory = exports.ServiceRegistryV1Storage__factory = exports.ServiceRegistry__factory = exports.IServiceRegistry__factory = exports.IGNS__factory = exports.GNSV1Storage__factory = exports.GNS__factory = exports.IEthereumDIDRegistry__factory = exports.EthereumDIDRegistry__factory = exports.IGraphCurationToken__factory = exports.ICuration__factory = exports.GraphCurationToken__factory = exports.CurationV1Storage__factory = exports.Curation__factory = exports.BancorFormula__factory = exports.IERC20__factory = exports.ERC20Burnable__factory = exports.ERC20__factory = void 0;
exports.IGraphProxy__factory = exports.GraphUpgradeable__factory = exports.GraphProxyStorage__factory = exports.GraphProxyAdmin__factory = exports.GraphProxy__factory = exports.IGraphToken__factory = exports.GraphToken__factory = exports.GSRManager__factory = exports.GDAI__factory = void 0;
var ERC20__factory_1 = require("./factories/ERC20__factory");
__createBinding(exports, ERC20__factory_1, "ERC20__factory");
var ERC20Burnable__factory_1 = require("./factories/ERC20Burnable__factory");
__createBinding(exports, ERC20Burnable__factory_1, "ERC20Burnable__factory");
var IERC20__factory_1 = require("./factories/IERC20__factory");
__createBinding(exports, IERC20__factory_1, "IERC20__factory");
var BancorFormula__factory_1 = require("./factories/BancorFormula__factory");
__createBinding(exports, BancorFormula__factory_1, "BancorFormula__factory");
var Curation__factory_1 = require("./factories/Curation__factory");
__createBinding(exports, Curation__factory_1, "Curation__factory");
var CurationV1Storage__factory_1 = require("./factories/CurationV1Storage__factory");
__createBinding(exports, CurationV1Storage__factory_1, "CurationV1Storage__factory");
var GraphCurationToken__factory_1 = require("./factories/GraphCurationToken__factory");
__createBinding(exports, GraphCurationToken__factory_1, "GraphCurationToken__factory");
var ICuration__factory_1 = require("./factories/ICuration__factory");
__createBinding(exports, ICuration__factory_1, "ICuration__factory");
var IGraphCurationToken__factory_1 = require("./factories/IGraphCurationToken__factory");
__createBinding(exports, IGraphCurationToken__factory_1, "IGraphCurationToken__factory");
var EthereumDIDRegistry__factory_1 = require("./factories/EthereumDIDRegistry__factory");
__createBinding(exports, EthereumDIDRegistry__factory_1, "EthereumDIDRegistry__factory");
var IEthereumDIDRegistry__factory_1 = require("./factories/IEthereumDIDRegistry__factory");
__createBinding(exports, IEthereumDIDRegistry__factory_1, "IEthereumDIDRegistry__factory");
var GNS__factory_1 = require("./factories/GNS__factory");
__createBinding(exports, GNS__factory_1, "GNS__factory");
var GNSV1Storage__factory_1 = require("./factories/GNSV1Storage__factory");
__createBinding(exports, GNSV1Storage__factory_1, "GNSV1Storage__factory");
var IGNS__factory_1 = require("./factories/IGNS__factory");
__createBinding(exports, IGNS__factory_1, "IGNS__factory");
var IServiceRegistry__factory_1 = require("./factories/IServiceRegistry__factory");
__createBinding(exports, IServiceRegistry__factory_1, "IServiceRegistry__factory");
var ServiceRegistry__factory_1 = require("./factories/ServiceRegistry__factory");
__createBinding(exports, ServiceRegistry__factory_1, "ServiceRegistry__factory");
var ServiceRegistryV1Storage__factory_1 = require("./factories/ServiceRegistryV1Storage__factory");
__createBinding(exports, ServiceRegistryV1Storage__factory_1, "ServiceRegistryV1Storage__factory");
var DisputeManager__factory_1 = require("./factories/DisputeManager__factory");
__createBinding(exports, DisputeManager__factory_1, "DisputeManager__factory");
var DisputeManagerV1Storage__factory_1 = require("./factories/DisputeManagerV1Storage__factory");
__createBinding(exports, DisputeManagerV1Storage__factory_1, "DisputeManagerV1Storage__factory");
var IDisputeManager__factory_1 = require("./factories/IDisputeManager__factory");
__createBinding(exports, IDisputeManager__factory_1, "IDisputeManager__factory");
var EpochManager__factory_1 = require("./factories/EpochManager__factory");
__createBinding(exports, EpochManager__factory_1, "EpochManager__factory");
var EpochManagerV1Storage__factory_1 = require("./factories/EpochManagerV1Storage__factory");
__createBinding(exports, EpochManagerV1Storage__factory_1, "EpochManagerV1Storage__factory");
var IEpochManager__factory_1 = require("./factories/IEpochManager__factory");
__createBinding(exports, IEpochManager__factory_1, "IEpochManager__factory");
var Controller__factory_1 = require("./factories/Controller__factory");
__createBinding(exports, Controller__factory_1, "Controller__factory");
var Governed__factory_1 = require("./factories/Governed__factory");
__createBinding(exports, Governed__factory_1, "Governed__factory");
var GraphGovernance__factory_1 = require("./factories/GraphGovernance__factory");
__createBinding(exports, GraphGovernance__factory_1, "GraphGovernance__factory");
var GraphGovernanceV1Storage__factory_1 = require("./factories/GraphGovernanceV1Storage__factory");
__createBinding(exports, GraphGovernanceV1Storage__factory_1, "GraphGovernanceV1Storage__factory");
var IController__factory_1 = require("./factories/IController__factory");
__createBinding(exports, IController__factory_1, "IController__factory");
var IGraphGovernance__factory_1 = require("./factories/IGraphGovernance__factory");
__createBinding(exports, IGraphGovernance__factory_1, "IGraphGovernance__factory");
var IManaged__factory_1 = require("./factories/IManaged__factory");
__createBinding(exports, IManaged__factory_1, "IManaged__factory");
var Managed__factory_1 = require("./factories/Managed__factory");
__createBinding(exports, Managed__factory_1, "Managed__factory");
var Pausable__factory_1 = require("./factories/Pausable__factory");
__createBinding(exports, Pausable__factory_1, "Pausable__factory");
var IRewardsManager__factory_1 = require("./factories/IRewardsManager__factory");
__createBinding(exports, IRewardsManager__factory_1, "IRewardsManager__factory");
var RewardsManager__factory_1 = require("./factories/RewardsManager__factory");
__createBinding(exports, RewardsManager__factory_1, "RewardsManager__factory");
var RewardsManagerV1Storage__factory_1 = require("./factories/RewardsManagerV1Storage__factory");
__createBinding(exports, RewardsManagerV1Storage__factory_1, "RewardsManagerV1Storage__factory");
var IStaking__factory_1 = require("./factories/IStaking__factory");
__createBinding(exports, IStaking__factory_1, "IStaking__factory");
var LibCobbDouglas__factory_1 = require("./factories/LibCobbDouglas__factory");
__createBinding(exports, LibCobbDouglas__factory_1, "LibCobbDouglas__factory");
var Staking__factory_1 = require("./factories/Staking__factory");
__createBinding(exports, Staking__factory_1, "Staking__factory");
var StakingV1Storage__factory_1 = require("./factories/StakingV1Storage__factory");
__createBinding(exports, StakingV1Storage__factory_1, "StakingV1Storage__factory");
var StakingV2Storage__factory_1 = require("./factories/StakingV2Storage__factory");
__createBinding(exports, StakingV2Storage__factory_1, "StakingV2Storage__factory");
var AllocationExchange__factory_1 = require("./factories/AllocationExchange__factory");
__createBinding(exports, AllocationExchange__factory_1, "AllocationExchange__factory");
var GRTWithdrawHelper__factory_1 = require("./factories/GRTWithdrawHelper__factory");
__createBinding(exports, GRTWithdrawHelper__factory_1, "GRTWithdrawHelper__factory");
var ICMCWithdraw__factory_1 = require("./factories/ICMCWithdraw__factory");
__createBinding(exports, ICMCWithdraw__factory_1, "ICMCWithdraw__factory");
var WithdrawHelper__factory_1 = require("./factories/WithdrawHelper__factory");
__createBinding(exports, WithdrawHelper__factory_1, "WithdrawHelper__factory");
var IENS__factory_1 = require("./factories/IENS__factory");
__createBinding(exports, IENS__factory_1, "IENS__factory");
var IPublicResolver__factory_1 = require("./factories/IPublicResolver__factory");
__createBinding(exports, IPublicResolver__factory_1, "IPublicResolver__factory");
var ITestRegistrar__factory_1 = require("./factories/ITestRegistrar__factory");
__createBinding(exports, ITestRegistrar__factory_1, "ITestRegistrar__factory");
var GovernedMock__factory_1 = require("./factories/GovernedMock__factory");
__createBinding(exports, GovernedMock__factory_1, "GovernedMock__factory");
var RebatePoolMock__factory_1 = require("./factories/RebatePoolMock__factory");
__createBinding(exports, RebatePoolMock__factory_1, "RebatePoolMock__factory");
var RewardsManagerMock__factory_1 = require("./factories/RewardsManagerMock__factory");
__createBinding(exports, RewardsManagerMock__factory_1, "RewardsManagerMock__factory");
var GDAI__factory_1 = require("./factories/GDAI__factory");
__createBinding(exports, GDAI__factory_1, "GDAI__factory");
var GSRManager__factory_1 = require("./factories/GSRManager__factory");
__createBinding(exports, GSRManager__factory_1, "GSRManager__factory");
var GraphToken__factory_1 = require("./factories/GraphToken__factory");
__createBinding(exports, GraphToken__factory_1, "GraphToken__factory");
var IGraphToken__factory_1 = require("./factories/IGraphToken__factory");
__createBinding(exports, IGraphToken__factory_1, "IGraphToken__factory");
var GraphProxy__factory_1 = require("./factories/GraphProxy__factory");
__createBinding(exports, GraphProxy__factory_1, "GraphProxy__factory");
var GraphProxyAdmin__factory_1 = require("./factories/GraphProxyAdmin__factory");
__createBinding(exports, GraphProxyAdmin__factory_1, "GraphProxyAdmin__factory");
var GraphProxyStorage__factory_1 = require("./factories/GraphProxyStorage__factory");
__createBinding(exports, GraphProxyStorage__factory_1, "GraphProxyStorage__factory");
var GraphUpgradeable__factory_1 = require("./factories/GraphUpgradeable__factory");
__createBinding(exports, GraphUpgradeable__factory_1, "GraphUpgradeable__factory");
var IGraphProxy__factory_1 = require("./factories/IGraphProxy__factory");
__createBinding(exports, IGraphProxy__factory_1, "IGraphProxy__factory");
